{% extends "account/base_entrance.html" %}

{% load bootstrap5 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load static %}

{% block conteudo %}

    <div class="container py-5">
        <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col col-lg-6 mb-4 mb-lg-0">
            <div class="card mb-3" style="border-radius: .5rem;">
            <div class="row g-0">
                <div class="col-md-4 text-center" id="gradient"
                style="border-top-left-radius: .5rem; border-bottom-left-radius: .5rem; ">
                <img src="{% if object.image.url is not None %}{{object.image.url}}{% else %}default.png{% endif %} "
                    alt="Avatar" class="img-fluid my-5" style="width: 80px;" />
                <h5>{{request.user.first_name}} {{request.user.last_name}}</h5>
                <p>Cargo: {% if object.user_type == 'V' %}Veterinario{% else %}Dono{% endif %}
                </p>
                {% for endereco in Endereco %}

                <button class="btn" onclick="location.href='/endereco/update/{{object.id}}/{{endereco.id}}'">
                <i class="fas fa-pen mb-5"></i>Editar Endereço
                </button>
                {% endfor %}

            </div>
            <div class="col-md-8">
                <div class="card-body p-4">
                    <h5>Perfil</h5>
                    {% for endereco in Endereco %}
                    <hr class="mt-0 mb-4">
                    <div class="row pt-1">
                    <div class="col-6 mb-3">
                        <h6>Email</h6>
                        <p class="text-muted">{{request.user.email}}</p>
                    </div>
                    <div class="col-6 mb-3">
                        <h6>Endereço:</h6>
                        <p>{{endereco.rua}} - {{endereco.numero}} - {{endereco.bairo}} - {{endereco.cep}}</p>

                    </div>
                </div>
                {% endfor %}

                <h6>Extras</h6>
                <hr class="mt-0 mb-4">
                <div class="row pt-1">
                    <div class="col-6 mb-3">
                        <h6>ID:</h6>
                        <stong>#{{request.user.id}}</strong>
                    </div>
                    <div class="col-6 mb-3">
                        <h6>Entrou dia:</h6>
                        <p >{{request.user.date_joined}}</p>
                    </div>
                    </div>
                
                </div>
                </div>
            </div>
            </div>
        </div>
        </div>
    </div>



{%  endblock %}

{% block info %}
{%  endblock %}

